require "spec_helper"
require "social_avatar_proxy/engine"

describe SocialAvatarProxy::Engine do
  subject do
    SocialAvatarProxy::Engine
  end

  describe "#mounted_at" do
    it "should match what is in the routes file" do
      expect(subject.mounted_at).to eq("avatars/test")
    end
  end
  
  describe "routing" do
    subject do
      ActionController::Base.new
    end

    it "should define #twitter_avatar_path on ApplicationController" do
      path = subject.twitter_avatar_path("ryantownsend")
      expect(path).to eq "/avatars/test/twitter/ryantownsend"
    end
    
    it "should define #facebook_avatar_path on ApplicationController" do
      path = subject.facebook_avatar_path("ryandtownsend")
      expect(path).to eq "/avatars/test/facebook/ryandtownsend"
    end
  end
end