require "spec_helper"

describe SocialAvatarProxy::FacebookAvatar do
  subject do
    SocialAvatarProxy::FacebookAvatar.new(id)
  end
  
  context "with a valid user ID" do
    let(:id) { "61413673" }
  
    describe "#remote_url" do
      it "should return a valid URL" do
        result = URI(subject.remote_url)
        expect(result.host).to eq("graph.facebook.com")
      end
    end
  end
  
  context "with a valid user name" do
    let(:id) { "ryandtownsend" }
  
    describe "#remote_url" do
      it "should return a valid URL" do
        result = URI(subject.remote_url)
        expect(result.host).to eq("graph.facebook.com")
      end
    end
  end
    
  context "with an invalid identifier" do
    let(:id) { "$omeInvalidN@me" }
  
    describe "#remote_url" do
      it "should raise an error" do
        expect { subject.remote_url }.to raise_error(RuntimeError)
      end
    end
  end
end