require "spec_helper"

describe SocialAvatarProxy::Routes do
  subject do
    SocialAvatarProxy::Routes.new(app)
  end

  let(:path_prefix) { "" }
  let(:app) { mock("app", path_prefix: path_prefix) }

  describe "#avatar_base_path" do
    context "without a path_prefix" do
      it "should return empty string" do
        expect(subject.avatar_base_path).to eq("")
      end
    end
    
    context "with a path_prefix" do
      let(:path_prefix) { "/avatars" }
      it "should return the path prefix" do
        expect(subject.avatar_base_path).to eq("/avatars")
      end
    end
  end
end